Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.webservice.db
Class DBWebServiceRequest

    java.lang.Object
      com.stc.connector.webservice.db.DBWebServiceRequest

public class DBWebServiceRequest
extends java.lang.Object

This class represents the base web service request object for the database web service.

Method Summary
`boolean` | `getAutoCommit()` Gets the AutoCommit mode of the connection.
`java.lang.String` | `getCatalog()` Gets the catalog name of the connection.
`boolean` | `getConcurrencyToReadOnly()` Get concurrency type; determines if the concurrency is set to read only.
`boolean` | `getConcurrencyToUpdatable()` Get concurrency type; determines if the concurrency is set to updatable.
`boolean` | `getScrollTypeToForwardOnly()` Gets the result set type; determines if scroll is set to forward only.
`boolean` | `getScrollTypeToScrollInsensitive()` Gets the result set type; determines if scroll is set to insensitive.
`boolean` | `getScrollTypeToScrollSensitive()` Gets the result set type; determines if scroll is set to sensitive.
`int` | `getTransactionIsolation()` Gets the transaction isolation level for the connection.
`void` | `setAutoCommit(boolean bAuto)` Sets the AutoCommit mode of the connection.
`void` | `setCatalog(java.lang.String sCatalog)` Sets the catalog name of the connection.
`void` | `setConcurrencyToReadOnly(boolean bVal)` Set concurrency type of the session to read only.
`void` | `setConcurrencyToUpdatable(boolean bVal)` Set concurrency type of the session to updatable.
`void` | `setScrollTypeToForwardOnly(boolean bVal)` Set result set type of the session to be forward only.
`void` | `setScrollTypeToScrollInsensitive(boolean bVal)` Set result set type of the session to be insensitive.
`void` | `setScrollTypeToScrollSensitive(boolean bVal)` Set result set type of the session to be sensitive.
`void` | `setTransactionIsolation(int iLevel)` Sets the transaction isolation level for the connection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAutoCommit

    public boolean getAutoCommit()

  Gets the AutoCommit mode of the connection.

  Parameters:
    None.

  Returns:
    true if the Autocommit mode is true; false otherwise.
  Throws:
    None.

### getCatalog

    public java.lang.String getCatalog()

  Gets the catalog name of the connection.

  Parameters:
    None.

  Returns:
    the catalog name.
  Throws:
    None.

### getConcurrencyToReadOnly

    public boolean getConcurrencyToReadOnly()

  Get concurrency type; determines if the concurrency is set to read only.

  Parameters:
    None.

  Returns:
    If concurrency type was set to read only then true will be returned; otherwise, false will be returned;
  Throws:
    None.

### getConcurrencyToUpdatable

    public boolean getConcurrencyToUpdatable()

  Get concurrency type; determines if the concurrency is set to updatable.
  Parameters:
    None.

  Returns:
    If concurrency type was set to updatable then true will be returned; otherwise, false will be returned;
  Throws:
    None.

### getScrollTypeToForwardOnly

    public boolean getScrollTypeToForwardOnly()

  Gets the result set type; determines if scroll is set to forward only.

  Parameters:
    None.

  Returns:
    If result set type was set to scroll forward only then true will be returned; otherwise, false will be returned;
  Throws:
    None.

### getScrollTypeToScrollInsensitive

    public boolean getScrollTypeToScrollInsensitive()

  Gets the result set type; determines if scroll is set to insensitive.
  Parameters:
    None.

  Returns:
    If result set type was set to scroll insensitive then true will be returned; otherwise, false will be returned;
  Throws:
    None.

### getScrollTypeToScrollSensitive

    public boolean getScrollTypeToScrollSensitive()

  Gets the result set type; determines if scroll is set to sensitive.

  Parameters:
    None.

  Returns:
    If result set type was set to scroll sensitive then true will be returned; otherwise, false will be returned;
  Throws:
    None.

### getTransactionIsolation

    public int getTransactionIsolation()

  Gets the transaction isolation level for the connection.

  Parameters:
    None.

  Returns:
    the transaction isolation level: TRANSACTION_NONE, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_READ_COMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE.
  Throws:
    None.

### setAutoCommit

    public void setAutoCommit(boolean bAuto)

  Sets the AutoCommit mode of the connection.

  Parameters:
    `bAuto` - a true value will set the connection to be in AutoCommit mode; false otherwise.
  Returns:
    `void` - None.
  Throws:
    None.

### setCatalog

    public void setCatalog(java.lang.String sCatalog)

  Sets the catalog name of the connection.

  Parameters:
    `sCatalog` - the desired catalog name.
  Returns:
    `void` - None.
  Throws:
    None.

### setConcurrencyToReadOnly

    public void setConcurrencyToReadOnly(boolean bVal)

  Set concurrency type of the session to read only.

  Parameters:
    `bVal` - Set to true for read only; false otherwise.
  Returns:
    `void` - None.
  Throws:
    None.

### setConcurrencyToUpdatable

    public void setConcurrencyToUpdatable(boolean bVal)

  Set concurrency type of the session to updatable.

  Parameters:
    `bVal` - Set to true for updatable; false otherwise.
  Returns:
    `void` - None.
  Throws:
    None.

### setScrollTypeToForwardOnly

    public void setScrollTypeToForwardOnly(boolean bVal)

  Set result set type of the session to be forward only.

  Parameters:
    `bVal` - Set to true for scroll forward only; false otherwise.
  Returns:
    `void` - None.
  Throws:
    None.

### setScrollTypeToScrollInsensitive

    public void setScrollTypeToScrollInsensitive(boolean bVal)

  Set result set type of the session to be insensitive.

  Parameters:
    `bVal` - Set to true for scroll insensitive; false otherwise.
  Returns:
    `void` - None.
  Throws:
    None.

### setScrollTypeToScrollSensitive

    public void setScrollTypeToScrollSensitive(boolean bVal)

  Set result set type of the session to be sensitive.

  Parameters:
    `bVal` - Set to true for scroll sensitive; false otherwise.
  Returns:
    `void` - None.
  Throws:
    None.

### setTransactionIsolation

    public void setTransactionIsolation(int iLevel)

  Sets the transaction isolation level for the connection.

  Parameters:
    `iLevel` - a transaction isolation value: TRANSACTION_NONE, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_READ_COMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE.
  Returns:
    `void` - None.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2006 by Sun Microsystems, Inc. All Rights Reserved.